Subject: bug#63415: 30.0.50; More Build Warnings

From: Jacob Faibussowitsch <[email-masked]>
Date: Thu, 11 May 2023 09:39:59 -0400

> Avoiding it is too much
> trouble (will make the code harder to read), and this configuration is
> rare enough to not justify that.  So I've left that alone.

FWIW the following silences the warning. But up to you

diff --git a/src/dispnew.c b/src/dispnew.c
index fe661579daf..f456a60246b 100644
--- a/src/dispnew.c
+++ b/src/dispnew.c
@@ -3808,6 +3808,8 @@ update_window (struct window *w, bool force_p)
              redraw_overlapped_rows (w, yb);
              redraw_overlapping_rows (w, yb);
            }
+#else
+          (void)changed_p;
 #endif

          /* Make cursor visible at cursor position of W.  */

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On May 11, 2023, at 09:25, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Jacob Faibussowitsch <[email-masked]>
>> Date: Wed, 10 May 2023 07:25:34 -0400
>> 
>> dispnew.c:3650:12: warning: variable 'changed_p' set but not used [-Wunused-but-set-variable]
>>      bool changed_p = 0, mouse_face_overwritten_p = 0;
>>           ^
>> 1 warning generated.
> 
> This is expected in a build --without-x.  Avoiding it is too much
> trouble (will make the code harder to read), and this configuration is
> rare enough to not justify that.  So I've left that alone.
> 
>> In native--compile-async:
>> comp.el:4240:14: Warning: value from call to ‘cl-substitute’ is unused
> 
> Andrea, would you please take care of this warning?
> 
> I hope I've now fixed the rest, thanks.